/*************************************************************************
Title........ ata.h
Date......... Author....... Alan Austin
*************************************************************************/

/****	Defines */
/****	Type Definitions */

/* Pluto 5 Addressing */
#define CS_3_BASE				0x3000000

 /*
CGA/VGA
#define ATA_COMMAND_REGS		(CS_3_BASE+0x090000)
#define ATA_CONTROL_REGS		(CS_3_BASE+0x0c0000)
*/

/* Calypso 16*/
#define ATA_COMMAND_REGS		(CS_3_BASE+0xf90000)
#define ATA_CONTROL_REGS		(CS_3_BASE+0xf80000)
#define ATA_DRIVE_ACTIVE		(CS_3_BASE+0xd0000)

#define ATA_CONTROL_OFFSET		0x0a

#define ATA_CONTROL_REG			(ATA_CONTROL_REGS+ATA_CONTROL_OFFSET)
#define ATA_ALTSTATUS_REG		ATA_CONTROL_REG

#define ATA_DATA_OFFSET			0x00
#define ATA_ERROR_OFFSET		0x04
#define ATA_NSECTOR_OFFSET		0x02
#define ATA_SECTOR_OFFSET		0x06
#define ATA_LCYL_OFFSET			0x08
#define ATA_HCYL_OFFSET			0x0c
#define ATA_SELECT_OFFSET		0x0a
#define ATA_STATUS_OFFSET		0x0e
#define ATA_FEATURE_OFFSET		ATA_ERROR_OFFSET
#define ATA_COMMAND_OFFSET		ATA_STATUS_OFFSET

#define ATA_DATA_REG			(ATA_COMMAND_REGS+ATA_DATA_OFFSET)
#define ATA_ERROR_REG			(ATA_COMMAND_REGS+ATA_ERROR_OFFSET)
#define ATA_NSECTOR_REG			(ATA_COMMAND_REGS+ATA_NSECTOR_OFFSET)
#define ATA_SECTOR_REG			(ATA_COMMAND_REGS+ATA_SECTOR_OFFSET)
#define ATA_LCYL_REG			(ATA_COMMAND_REGS+ATA_LCYL_OFFSET)
#define ATA_HCYL_REG			(ATA_COMMAND_REGS+ATA_HCYL_OFFSET)
#define ATA_SELECT_REG			(ATA_COMMAND_REGS+ATA_SELECT_OFFSET)
#define ATA_STATUS_REG			(ATA_COMMAND_REGS+ATA_STATUS_OFFSET)
#define ATA_FEATURE_REG			ATA_ERROR_REG
#define ATA_COMMAND_REG			ATA_STATUS_REG

/** ATA register bit masks **/

/* Status Reg */
#define ATA_BSY			0x80
#define ATA_DRDY		0x40
#define ATA_DF			0x20
#define ATA_DSC			0x10
#define ATA_DRQ			0x08
#define ATA_CORR		0x04
#define ATA_CHECK		0x01
