/* calypso16.c */
extern CALYPSOLAYER CalypsoLayer[6];
extern UBYTE calypso_driver_installed;
extern const DEVICE CalypsoDevice;
extern BYTE InstallCalypso(const DEVICE *dev, WORD cfg, WORD base);
extern void CalypsoInitDisplayMode(const WORD *reg_table);
extern void CalypsoVideoOn(void);
extern void CalypsoVideoOff(void);
extern UBYTE CalypsoGetVsync(void);
extern ULONG CalypsoSetVideoMemory(LONG video_addr, LONG size_bytes, BYTE color_mode, UWORD color);
extern LONG CalypsoInitLayer(CALYPSOLAYER *layer, BYTE color_mode, BYTE buffer_mode, WORD transparent_color, WORD width_pixels, WORD height, LONG start_address);
extern void CalypsoEnableLayer(UBYTE select);
extern void CalypsoDisableLayer(UBYTE select);
extern void CalypsoScrollLayerX(CALYPSOLAYER *layer, ULONG offset);
extern void CalypsoScrollLayerY(CALYPSOLAYER *layer, ULONG offset);
extern WORD CalypsoClearLayer(CALYPSOLAYER *layer, BYTE doublebuffer_frame);
extern WORD CalypsoFillLayer(CALYPSOLAYER *layer, BYTE doublebuffer_frame, UWORD color, LONG mode);
extern void CalypsoSetWindowLayer(WORD x_position, WORD y_position, WORD width, WORD height);
extern void CalypsoSetFrameRate(BYTE rate);
extern void CalypsoEnableDoubleBuffer(void);
extern void CalypsoDisableDoubleBuffer(void);
extern void CalypsoSetDoubleBufferFrame(BYTE frame);
extern BYTE CalypsoGetDoubleBufferFrame(void);
extern void CalypsoSetFrameNumber(WORD n);
extern WORD CalypsoGetFrameNumber(void);
extern void CalypsoFrameAdvance(void);
extern void CalypsoScreenPartitionX(WORD partition_xpos);
extern void CalypsoAlphaBlend(BYTE enable);
extern void CalypsoSetBlendRatio(BYTE blend_ratio, BYTE select);
extern void CalypsoLoadPalette(UBYTE palette_select, const PALETTE_RGB *pal_table);
extern void CalypsoGetPaletteEntry(UBYTE palette_select, UBYTE entry, PALETTE_RGB *rgb);
extern void CalypsoSetPaletteEntry(UBYTE palette_select, UBYTE entry, PALETTE_RGB *col);
extern LONG CalypsoLoadImage(LONG video_addr, const CALYPSOIMAGE *image);
extern LONG CalypsoLoadImageConvert8to16(LONG video_addr, const CALYPSOIMAGE *image);
extern LONG CalypsoLoadImageLayer(CALYPSOLAYER *layer, BYTE doublebuffer_frame, const CALYPSOIMAGE *image);
extern LONG CalypsoLoadImageLayerConvert8to16(CALYPSOLAYER *layer, BYTE doublebuffer_frame, const CALYPSOIMAGE *image);
extern LONG CalypsoLoadSprite(LONG video_addr, const CALYPSOIMAGE *image);
extern WORD CalypsoPutSprite(CALYPSOLAYER *layer, BYTE doublebuffer_frame, LONG x, LONG y, LONG image_start, LONG xsize, LONG ysize, LONG mode);
extern WORD CalypsoSaveSprite(CALYPSOLAYER *layer, BYTE doublebuffer_frame, LONG x, LONG y, LONG save_address, LONG xsize, LONG ysize);
extern WORD CalypsoClearSprite(CALYPSOLAYER *layer, BYTE doublebuffer_frame, LONG x, LONG y, LONG xsize, LONG ysize);
extern WORD CalypsoFillSprite(CALYPSOLAYER *layer, BYTE doublebuffer_frame, LONG x, LONG y, LONG xsize, LONG ysize, UWORD color, LONG mode);
extern void CalypsoSetAsciiFont(const CALYPSOFONT *font);
extern void CalypsoSetUnicodeFont(const CALYPSOFONT *font, UWORD unicode_page);
extern CALYPSOFONT *CalypsoGetUnicodeFont(UWORD unicode_page);
extern WORD CalypsoSetTextColor(UWORD foreground_color, UWORD background_color);
extern void CalypsoSetTextPosition(CALYPSOLAYER *layer, WORD x, WORD y);
extern WORD CalypsoGetTextPositionX(CALYPSOLAYER *layer);
extern WORD CalypsoGetTextPositionY(CALYPSOLAYER *layer);
extern WORD CalypsoPutChar(CALYPSOLAYER *layer, BYTE doublebuffer_frame, UBYTE ch);
extern WORD CalypsoPutStr(CALYPSOLAYER *layer, BYTE doublebuffer_frame, BYTE *str);
extern WORD CalypsoPutUnicodeChar(CALYPSOLAYER *layer, BYTE doublebuffer_frame, UWORD ch);
extern WORD CalypsoPutUnicodeStr(CALYPSOLAYER *layer, BYTE doublebuffer_frame, UWORD *str);
extern void CalypsoPoint(CALYPSOLAYER *layer, LONG x, LONG y, UWORD color);
extern void CalypsoLine(CALYPSOLAYER *layer, LONG Ax, LONG Ay, LONG Bx, LONG By, UWORD color);
extern void CalypsoCircle(CALYPSOLAYER *layer, LONG xcentre, LONG ycentre, LONG radius, UBYTE color);
extern void CalypsoDefineAnimation(ANIMATION *anim, CALYPSOLAYER *layer, UWORD n_frames, WORD x, WORD y, WORD dx, WORD dy, LONG image_start, LONG image_offset, WORD n_images, WORD image_index, LONG width, LONG height, BYTE type, LONG mode, LONG buffer1, LONG buffer2, void (*update)(ANIMATION *anim));
extern void CalypsoClearAnimationList(void);
extern WORD CalypsoAddToAnimationList(ANIMATION *anim);
extern WORD CalypsoRemoveFromAnimationList(ANIMATION *anim);
extern void CalypsoStartAnimation(ANIMATION *anim);
extern void CalypsoStopAnimation(ANIMATION *anim);
extern void CalypsoPauseAnimation(ANIMATION *anim);
extern void CalypsoStepAnimation(ANIMATION *anim);
