/*************************************************************************
Title........ devmgr.h
Date......... Fri Jun 25 09:39:15  1999
Author....... J.M.Tarrant
*************************************************************************/

/****	Defines */

#define	ERR_RESET	0x80

/****	Type Definitions */


typedef	UBYTE	ERRBIT;

typedef	struct	errvar
	{
	ERRBIT	errors;
	ERRBIT	errmask;
	BYTE	line;
	} ERRVAR;

typedef	struct devstatus
	{
	UBYTE	type;
	UBYTE	id;
	ERRBIT	error;
	UBYTE	line;
	} DEVSTATUS;

typedef	struct errstatus
	{
	ERRBIT	errors;
	UBYTE	line;
	} ERRSTATUS;


typedef	struct device
	{
	BYTE		type;
	BYTE		id;
	BYTE		lines;

	BYTE		(*install)(const struct device* dev,WORD cfg,WORD base);
	void		(*shutdown)(const struct device* dev);
	void		(*restore)(const struct device* dev);

	void*		vars;
	void*		zvars;
	ERRVAR*		errvar;

	const void*	config;
	const void*	services;
	const void*	errordata;
	} DEVICE;


typedef	struct	installdevice
	{
	const	DEVICE*	device;
	WORD	(*deviceselect)();
	WORD	(*configselect)();
	const 	void*	optionlist;
	} INSTALLDEVICE;


typedef	struct	buildtype
	{
	const	DEVICE**	devicelist;
	BYTE				devicetype;
	} BUILDTYPE;

/****	Prototypes */

	#include	"devmgr.p"

/*************************************************************************/
