
/******************************	ASSEMBLY LEVEL CONSTANTS	*/
/*	68340 CONSTANTS	*/

	.EQU	CPU_ADS_FC, 0x00000007	/* CPU ADDR SPACE FUNCTION CODE */
	.EQU	MBAR,		0x0003FF00	/* MODULE BASE REGISTER ADDRESS (IN CPU ADDRESS SPACE) */
	.EQU	MBARV_BT, 	0x00000001	/* VALID ADDRESS BIT */
	.EQU	MBARV_BN,	0x00000000	/* VALID ADDRESS BIT NUMBER */
	.EQU	SIM40,		0xFFFFF000	/* SIM40 BASE ADDRESS */

	.EQU	VECTORS,	0X00000000

/*	SIM40 REGISTERS */
	.EQU	MCR,		SIM40+0x00
	.EQU	SYNCR,		SIM40+0x04
	.EQU	CSAM0,		SIM40+0x40
	.EQU	CSBAR0,		SIM40+0x44
	.EQU	CSAM1,		SIM40+0x48
	.EQU	CSBAR1,		SIM40+0x4C
	.EQU	CSAM2,		SIM40+0x50
	.EQU	CSBAR2,		SIM40+0x54
	.EQU	CSAM3,		SIM40+0x58
	.EQU	CSBAR3,		SIM40+0x5C

	.EQU	AVR,		SIM40+0x06
	.EQU	RSR,		SIM40+0x07
	.EQU	PORTA,		SIM40+0x11
	.EQU	DDRA,		SIM40+0x13
	.EQU	PPARA1,		SIM40+0x15
	.EQU	PPARA2,		SIM40+0x17
	.EQU	PORTB,		SIM40+0x19
	.EQU	PORTB1,		SIM40+0x1B
	.EQU	DDRB,		SIM40+0x1D
	.EQU	PPARB,		SIM40+0x1F

	.EQU	SWIV,		SIM40+0x20
	.EQU	SYPCR,		SIM40+0x21
	.EQU	PICR,		SIM40+0x22
	.EQU	PITR,		SIM40+0x24
	.EQU	SWSR,		SIM40+0x27

/**+	FPGA REGISTERS 	*/

	.EQU	FPGA,		0x800000
	.EQU	OP_BASE,		FPGA+0x000
	.EQU	IP_BASE,		FPGA+0x000

	.EQU	FPGA_REG,		FPGA_BASE_ADR+0x030
	.EQU	SFXR,			FPGA_REG+0x000
	.EQU	XDR,			FPGA_REG+0x001
	.EQU	XDDRA,			FPGA_REG+0x002
	.EQU	XDDRB,			FPGA_REG+0x003
	.EQU	FPGA_ID,		FPGA_REG+0x003
	.EQU	XCRA,			FPGA_REG+0x004
	.EQU	XCRB,			FPGA_REG+0x005
	.EQU	XCRC,			FPGA_REG+0x006
	.EQU	MPX_RES,		FPGA_REG+0x007
	.EQU	EXT_BASE,		FPGA_REG+0x008
	.EQU	XDRB,			FPGA_REG+0x00F
	.EQU	MPX_BASE_ADR,	FPGA+0x080

/***	Ram Clear Bits */
/* These bit definitions must correspond to those defined in Memory.h */
/* Change these EQUates for constant bytes */

	.EQU	SYSTEM_BIT,		0
	.EQU	VARS_BIT,		1
	.EQU	ZEROVARS_BIT,	2
	.EQU	STACK_BIT,		3		/* STACK BIT CLEAR HEAP AS WELL */
	.EQU	SAFE_BIT,		4

/***************************************************************************/




