/*************************************************************************
Title........ inputdev.h
Date......... Tue Jul  6 15:56:57  1999
Author....... J.M.Tarrant
*************************************************************************/

/****	Defines */

	#define		EOF_INPUTS	-1

/*	Multiplexed or Direct */
	#define		DIR			0x8000
	#define		DEB			0x0000

/*	Active High or Active Low */
	#define		ACT0		0x0000
	#define		ACT1		0x4000

/*	Dummy TRUE or Dummy FALSE */
	#define		IPTRUE		(0x2000 | TRUE)
	#define		IPFALSE		(0x2000 | FALSE)

/*	Multiplexed inputs */
	#define		MXI			0x1000
	#define		STRMSK		0x0F00
	#define		STR0		0x0000
	#define		STR1		0x0100
	#define		STR2		0x0200
	#define		STR3		0x0300

	#define		MXI0	(MXI | STR0)
	#define		MXI1	(MXI | STR1)
	#define		MXI2	(MXI | STR2)
	#define		MXI3	(MXI | STR3)

	#define		IP0		16
	#define		IP1		17
	#define		IP2		18
	#define		IP3		19
	#define		IP4		20
	#define		IP5		21
	#define		IP6		22
	#define		IP7		23

	#define		IP8		0
	#define		IP9		1
	#define		IP10	2
	#define		IP11	3
	#define		IP12	4
	#define		IP13	5
	#define		IP14	6
	#define		IP15	7

	#define		IP16	48
	#define		IP17	49
	#define		IP18	50
	#define		IP19	51
	#define		IP20	52
	#define		IP21	53
	#define		IP22	54
	#define		IP23	55

	#define		IP24	32
	#define		IP25	33
	#define		IP26	34
	#define		IP27	35
	#define		IP28	36
	#define		IP29	37
	#define		IP30	38
	#define		IP31	39


	#define		SW1_1	24
	#define		SW1_2	25
	#define		SW1_3	8
	#define		SW1_4	9
	#define		SW1_5	56
	#define		SW1_6	57
	#define		SW1_7	40
	#define		SW1_8	41

	#define		SW2_1	26
	#define		SW2_2	27
	#define		SW2_3	10
	#define		SW2_4	11
	#define		SW2_5	58
	#define		SW2_6	59
	#define		SW2_7	42
	#define		SW2_8	43

/****	Type Definitions */

typedef	struct inputmap
	{
	LONG	map0;
	LONG	map1;
	} INPUTMAP;

typedef struct	inputcfg
	{
	BYTE	DebSmplTime;
	} INPUTCFG;

typedef	struct inputvars
	{
	INPUTMAP	inputmap;
	INPUTMAP	debarray[2];
	const INPUTCFG*		config;
	volatile BYTE		valid;
	} INPUTVARS;

typedef	WORD INPUT;

typedef struct inputservices
	{
	BYTE	(*test)(const INPUT ip);
	BYTE	(*testdeb)(const INPUT ip);
	} INPUTSERVICES;

/****	Prototypes */

	#include	"inputdev.p"

/*************************************************************************/
